#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n,br_ch=2,br_nech=1,nezad_nech=0,nezad_ch=0,br=0;
    cin>>n;
    long long vhod[n];
    for(int i=0;i<n;i++)
    {
        cin>>vhod[i];
    }
    for(;vhod[br]%2==1;br_nech+=2)
    {
        if(vhod[br]==br_nech)
        {
            br++;
        }
        else
        {
            nezad_nech++;
        }
    }
    cout<<nezad_nech;



    for(;br!=n;br_ch+=2)
    {
        if(vhod[br]==br_ch)
        {
            br++;
        }
        else
        {
            nezad_ch++;
        }
    }
    cout<<" "<<nezad_ch;

    return 0;
}
